# This file is the input for generating the list of preferences
# for pc_doc.cpp and pc_doc.h.
#
# For information on how to add or modify a preference, please
# refer to the module documentation.
#
# Preferences cannot depend directly on FEATUREs, they must depend
# on the macro they define.
#
Collection:  PrefsCollectionDoc
Macro name:  PCDOC
Description: Document settings
Type:        normal

Preference:  DisplayLinkTitle
Depends on:  
Section:     User Prefs
Key:         Display Link Title
Type:        boolean
Description: Dislay title of links
Default:     TRUE

Preference:  LastUsedAutoWindowReloadTimeout
Depends on:  _AUTO_WIN_RELOAD_SUPPORT_
Section:     User Prefs
Key:         Last Used Auto Window Timeout
Type:        integer
Description: Last used value for automatic document reload (seconds)
Default:     DEFAULT_AUTO_WINDOW_TIMEOUT

Preference:  ShowScrollbars
Depends on:  
Section:     User Prefs
Key:         Show ScrollBars
Type:        boolean
Description: Show scroll bars
Default:     DEFAULT_SHOW_SCROLLBARS

Preference:  ShowPageControls
Depends on:  PAGED_MEDIA_SUPPORT
Section:     User Prefs
Key:         Show Page Controls
Type:        boolean
Description: Allow the page control widget to be displayed (for paged documents)
Default:     TRUE

Preference:  ShowWinSize
Depends on:  
Section:     User Prefs
Key:         Show Window Size
Type:        boolean
Description: Show window size
Default:     FALSE

Preference:  CompatModeOverride
Depends on:  
Section:     User Prefs
Key:         CompatMode Override
Type:        integer
Description: Override CSS compat mode found by DOCTYPE sniffing
Default:     CSS_COMPAT_MODE_AUTO

Preference:  DefaultSearchType
Depends on:  SEARCH_TEXT_SUPPORT
Section:     User Prefs
Key:         Search Type
Type:        string
Description: Default search engine
Default:     "7A8CADE6677811DDBA4B5E9D55D89593"

Preference:  IgnoreTarget
Depends on:  
Section:     User Prefs
Key:         Ignore Target
Type:        boolean
Description: Disallow window creation
Default:     DEFAULT_IGNORETARGET

Preference:  NewWindow
Depends on:  
Section:     User Prefs
Key:         New Window
Type:        boolean
Description: Do not reuse existing page
Default:     FALSE

Preference:  SingleWindowBrowsing
Depends on:  
Section:     User Prefs
Key:         Single Window Browsing
Type:        boolean
Description: Use the current window instead of creating new ones for popups.
Default:     FALSE

Preference:  ShowImageState
Depends on:  
Section:     User Prefs
Key:         Show Images
Type:        integer
Description: 1 = no images, 2 = show cached, 3 = all images
Default:     FIGS_ON

Preference:  AlwaysReloadInterruptedImages
Depends on:  
Section:     User Prefs
Key:         Always Reload Interrupted Images
Type:        boolean
Description: Restart download of interrupted images when activating a document
Default:     FALSE

Preference:  SuppressExternalEmbeds
Depends on:  
Section:     User Prefs
Key:         Suppress External Embeds
Type:        boolean
Description: Suppress loading of external inline elements
Default:     TRUE

Preference:  TxtCharsPerLine
Depends on:  SAVE_SUPPORT
Section:     User Prefs
Key:         Save As Text Line Length
Type:        integer
Description: Characters per line when saving as text
Default:     80

Preference:  SaveUseSubfolder
Depends on:  SAVE_SUPPORT
Section:     User Prefs
Key:         Save With Images Use Subfolder
Type:        boolean
Description: Save with images should store images in a subfolder
Default:     TRUE

Preference:  UseEntitiesInForms
Depends on:  ENCODINGS_HAVE_ENTITY_ENCODING
Section:     User Prefs
Key:         Entities In Forms
Type:        boolean
Description: Enable entities for unconvertible characters in forms data
Default:     TRUE

Preference:  RenderingMode
Depends on:  
Section:     User Prefs
Key:         Rendering mode
Type:        integer
Description: Start in SSR/MSR/desktop mode.
Default:     DEFAULT_LAYOUTMODE

Preference:  XMLLoadExternalEntities
Depends on:  
Section:     User Prefs
Key:         XML Load External Entities
Type:        boolean
Description: Load external doctype subset and other referenced external entities.
Default:     FALSE

Preference:  HistoryNavigationMode
Depends on:  
Section:     User Prefs
Key:         History Navigation Mode
Type:        integer
Description: 1 = automatic, 2 = compatible, 3 = fast
Default:     1

Preference:  MaximumBytesFormPost
Depends on:  FORMS_LIMIT_FORM_SIZE
Section:     User Prefs
Key:         Max Bytes Form Post
Type:        integer
Description: Maximum bytes to submit with POST in a form
Default:     DEFAULT_MAX_BYTES_FORM_POST

Preference:  MaximumBytesFormGet
Depends on:  FORMS_LIMIT_FORM_SIZE
Section:     User Prefs
Key:         Max Bytes Form Get
Type:        integer
Description: Maximum bytes to submit with GET in a form
Default:     5000

Preference:  MaximumBytesInputText
Depends on:  FORMS_LIMIT_INPUT_SIZE
Section:     User Prefs
Key:         Max Bytes Input Text
Type:        integer
Description: Maximum bytes of content for an input field
Default:     256

Preference:  MaximumBytesInputPassword
Depends on:  FORMS_LIMIT_INPUT_SIZE
Section:     User Prefs
Key:         Max Bytes Input Password
Type:        integer
Description: Maximum bytes of content for a password field
Default:     128

Preference:  AlwaysLoadFavIcon
Depends on:  SHORTCUT_ICON_SUPPORT
Section:     Multimedia
Key:         Always load favicon
Type:        integer
Description: Load shortcut icons automatically
Default:     DEFAULT_ALWAYS_LOAD_FAVICON

Preference:  ShowAnimation
Depends on:  
Section:     Multimedia
Key:         Show Animation
Type:        boolean
Description: Enable animations
Default:     DEFAULT_SHOW_ANIMATION

Preference:  AllowAutoplay
Depends on:  MEDIA_HTML_SUPPORT
Section:     Multimedia
Key:         Allow Autoplay
Type:        boolean
Description: Allow media to autoplay
Default:     DEFAULT_ALLOW_AUTOPLAY

Preference:  ExternalImage
Depends on:  
Section:     Handheld
Key:         External Image
Type:        boolean
Description: Allow external images in handheld mode
Default:     TRUE

Preference:  DisableTextSelect
Depends on:  TEXT_SELECTION_SUPPORT
Section:     System
Key:         DisableTextSelect
Type:        boolean
Description: Disable text selection
Default:     FALSE

Preference:  AllowScriptToNavigateInHistory
Depends on:
Section:     User Prefs
Key:         Allow Scripts To Navigate In History
Type:        boolean
Description: Enables or disables scripts to navigate in DOM history
Default:     TRUE

Preference:  AllowAutofocusFormElement
Depends on:
Section:     User Prefs
Key:         Allow Autofocus Form Element
Type:        boolean
Description: Allow autofocus of form upon loading webpage, both via javascript focus() and html attribute autofocus. Turning this off will forbid any autofocusing except moving focus only between input text fields.
Default:     DEFAULT_ALLOW_AUTOFOCUS_FORM_ELEMENT

Preference:  AllowFileXMLHttpRequest
Depends on:
Section:     User Prefs
Key:         Allow File XMLHttpRequest
Type:        boolean
Description: Allow XMLHttpRequest between files which is something that is normally blocked for security reasons. Turning this on will allow web developers to test web applications stored on disk.
Default:     FALSE

Preference:  EnableWebSockets
Depends on:  WEBSOCKETS_SUPPORT
Section:     User Prefs
Key:         Enable WebSockets
Type:        boolean
Description: Enables or disables scripts to use WebSockets.
Default:     TRUE

Preference:  ReflowDelayLoad
Depends on:
Section:     Performance
Key:         Reflow Delay Load
Type:        integer
Description: Determines how often, in milliseconds, we aim to reflow the document while loading.  Lower value means more "incremental" rendering, but slows loading down since we'll spend more time in total reflowing.  If the value is zero, there will be no delay, which is not recommended for anyone. The appropriate value for this tweak depends largely on platform performance, and so is difficult to estimate accurately based on profile only.  Testing and tuning "on device" while performing "average browsing" is typically very useful.
Default:     DEFAULT_DOC_REFLOW_DELAY_LOAD

Preference:  ReflowDelayScript
Depends on:
Section:     Performance
Key:         Reflow Delay Script
Type:        integer
Description:  Determines how often, in milliseconds, we aim to reflow the document while executing a script (usually the reflow would then be caused by the script.)  Lower value means more "incremental" rendering, but slows down script execution since we'll spend more time in total reflowing.  If the value is zero, there will be no delay.
Default:     DEFAULT_DOC_REFLOW_DELAY_SCRIPT

Preference:  WaitForStyles
Depends on:
Section:     Performance
Key:         Wait For Styles
Type:        integer
Description:  Determines how long we will hold the layout waiting for styles. This is to avoid drawing something unstyled (ugly)that will be replaced by something styled very soon. Setting this to 0 means that we won't wait for styles and instead show anything as fast as possible.
Default:     DEFAULT_STYLESHEET_TIMEOUT_TIME

Preference:  WaitForWebFonts
Depends on:
Section:     Performance
Key:         Wait For Web Fonts
Type:        integer
Description:  Determines how long we will suppress displaying web font text while waiting for the web font to load. This is to avoid drawing text with a fall back font that will later be replaced by a web font (FOUT). Setting this to 0 means that we will immediately display web font text using the fall back font. A non-zero value means that we won't display web font text until either the font is loaded or the time out expires and the fall back font is applied.
Default:     DEFAULT_WEB_FONT_TIMEOUT

Preference:  PrefetchWebFonts
Depends on:
Section:     Performance
Key:         Prefetch Web Fonts
Type:        integer
Description: Number of web fonts that may be prefetched. A non-zero value enables speculative prefetching of web fonts referred to by style sheets. When enabled pages using web fonts will generally be able to show content with the correct fonts earlier. However, there is a chance that style sheets refer to fonts that are never used, in which case unused fonts will get downloaded and load time increase.
Default:     DEFAULT_PREFETCH_WEB_FONTS

Preference:  EnableSpatialNavigation
Depends on:  _SPAT_NAV_SUPPORT_
Section:     User Prefs
Key:         Enable Spatial Navigation
Type:        boolean
Description: Set to false to disable spatial navigation
Default:     TRUE

Preference:  TrustedProtocolsVersion
Depends on:  UPGRADE_SUPPORT
Section:     Trusted Protocols Section Info
Key:         Version
Type:        integer
Description: Version number for handlers list
Default:     0

Preference:  MediaPlaybackTimeUpdateInterval
Depends on:  MEDIA_HTML_SUPPORT
Section:     User Prefs
Key:         Time Update Interval
Type:        integer
Description: Define the interval between timeupdate events in milliseconds
Default:     200

Preference:  PageContentSearch
Depends on:  VISITED_PAGES_SEARCH
Section:     User Prefs
Key:         Page Content Search results In Addressfield Dropdown
Type:        boolean
Description: Turns on/off web pages content indexing. Based on that indexed content results in Addressfield drop down might be presented, while typing.
Default:     TRUE

Preference:  ThumbnailAspectRatioX
Depends on:  CORE_THUMBNAIL_SUPPORT
Section:     User Prefs
Key:         Thumbnail Aspect Ratio X
Type:        integer
Description: This value, along with the Y value, determines the aspect ratio of the Speed Dial thumbnails.
Default:     16

Preference:  ThumbnailAspectRatioY
Depends on:  CORE_THUMBNAIL_SUPPORT
Section:     User Prefs
Key:         Thumbnail Aspect Ratio Y
Type:        integer
Description: This value, along with the X value, determines the aspect ratio of the Speed Dial thumbnails.
Default:     10

Preference:  ThumbnailLogoScoreThreshold
Depends on:  THUMBNAILS_LOGO_TUNING_VIA_PREFS
Section:     User Prefs
Key:         Thumbnail Logo Score Threshold
Type:        integer
Description: Thumbnail logo scoring threshold used when looking for page logo for speeddial thumbnail.
Default:     75

Preference:  ThumbnailLogoScoreX
Depends on:  THUMBNAILS_LOGO_TUNING_VIA_PREFS
Section:     User Prefs
Key:         Thumbnail Logo Score X
Type:        integer
Description: Thumbnail logo scoring X
Default:     20

Preference:  ThumbnailLogoScoreY
Depends on:  THUMBNAILS_LOGO_TUNING_VIA_PREFS
Section:     User Prefs
Key:         Thumbnail Logo Score Y
Type:        integer
Description: Thumbnail logo scoring Y
Default:     35

Preference:  ThumbnailLogoScoreLogoURL
Depends on:  THUMBNAILS_LOGO_TUNING_VIA_PREFS
Section:     User Prefs
Key:         Thumbnail Logo Score Logo URL
Type:        integer
Description: Thumbnail logo scoring logo URL
Default:     75

Preference:  ThumbnailLogoScoreLogoALT
Depends on:  THUMBNAILS_LOGO_TUNING_VIA_PREFS
Section:     User Prefs
Key:         Thumbnail Logo Score Logo ALT
Type:        integer
Description: Thumbnail logo scoring logo ALT
Default:     70

Preference:  ThumbnailLogoScoreSiteURL
Depends on:  THUMBNAILS_LOGO_TUNING_VIA_PREFS
Section:     User Prefs
Key:         Thumbnail Logo Score Site URL
Type:        integer
Description: Thumbnail logo scoring site URL
Default:     20

Preference:  ThumbnailLogoScoreSiteALT
Depends on:  THUMBNAILS_LOGO_TUNING_VIA_PREFS
Section:     User Prefs
Key:         Thumbnail Logo Score Site ALT
Type:        integer
Description: Thumbnail logo scoring site ALT
Default:     35

Preference:  ThumbnailLogoScoreSiteLink
Depends on:  THUMBNAILS_LOGO_TUNING_VIA_PREFS
Section:     User Prefs
Key:         Thumbnail Logo Score Site Link
Type:        integer
Description: Thumbnail logo scoring site link
Default:     20

Preference:  ThumbnailLogoScoreBanner
Depends on:  THUMBNAILS_LOGO_TUNING_VIA_PREFS
Section:     User Prefs
Key:         Thumbnail Logo Score Banner
Type:        integer
Description: Thumbnail logo scoring banner
Default:     90

Preference:  ThumbnailLogoSizeMinX
Depends on:  THUMBNAILS_LOGO_TUNING_VIA_PREFS
Section:     User Prefs
Key:         Thumbnail Logo Size Min X
Type:        integer
Description: Thumbnail logo size min X
Default:     20

Preference:  ThumbnailLogoSizeMinY
Depends on:  THUMBNAILS_LOGO_TUNING_VIA_PREFS
Section:     User Prefs
Key:         Thumbnail Logo Size Min Y
Type:        integer
Description: Thumbnail logo size min y
Default:     15

Preference:  ThumbnailLogoSizeMaxX
Depends on:  THUMBNAILS_LOGO_TUNING_VIA_PREFS
Section:     User Prefs
Key:         Thumbnail Logo Size Max X
Type:        integer
Description: Thumbnail logo size max X
Default:     800

Preference:  ThumbnailLogoSizeMaxY
Depends on:  THUMBNAILS_LOGO_TUNING_VIA_PREFS
Section:     User Prefs
Key:         Thumbnail Logo Size Max Y
Type:        integer
Description: Thumbnail logo size max y
Default:     199

Preference:  ThumbnailLogoPosMaxX
Depends on:  THUMBNAILS_LOGO_TUNING_VIA_PREFS
Section:     User Prefs
Key:         Thumbnail Logo Pos Max X
Type:        integer
Description: Thumbnail logo pos max X
Default:     1200

Preference:  ThumbnailLogoPosMaxY
Depends on:  THUMBNAILS_LOGO_TUNING_VIA_PREFS
Section:     User Prefs
Key:         Thumbnail Logo Pos Max Y
Type:        integer
Description: Thumbnail logo pos max Y
Default:     300

Preference:  ThumbnailIconMinW
Depends on:  THUMBNAILS_LOGO_TUNING_VIA_PREFS
Section:     User Prefs
Key:         Thumbnail Icon Min Width
Type:        integer
Description: Thumbnail icon min width
Default:     114

Preference:  ThumbnailIconMinH
Depends on:  THUMBNAILS_LOGO_TUNING_VIA_PREFS
Section:     User Prefs
Key:         Thumbnail Icon Min Height
Type:        integer
Description: Thumbnail icon min height
Default:     114

Preference:  ThumbnailRequestHeader
Depends on:  CORE_THUMBNAIL_SUPPORT
Section:     User Prefs
Key:         Speeddial Thumbnail Request Header
Type:        boolean
Description: Sends an additional HTTP header along with a thumbnail request
Default:     TRUE

Preference:  TurboMode
Depends on:  IMAGE_TURBO_MODE
Section:     Performance
Key:         Draw Images Instantly
Type:        boolean
Description: Draw images instantly
Default:     DEFAULT_TURBO_MODE

.eof
